Skip to main content
PUT
Update term

Authorizations

X-API-KEY
string
header
required

Headers

Idempotency-Key
string

Optional. A unique value (a UUID works well) identifying this operation. If the request is repeated with the same key, the original response is replayed instead of the operation running again, so a retry cannot create a duplicate record. Results are replayable for 48 hours. Reusing a key with a different request body returns 422.

Maximum string length: 255

Path Parameters

term_id
integer
required

Body

application/json
term_type
enum<string>
required

Standard means that the due date is calculated based on the days until net due.

Available options:
standard,
date_driven,
early_discount,
installment
name
string | null
Required string length: 2 - 128
is_active
boolean
default:true
days_until_net_due
integer | null
Required range: 0 <= x <= 99999
day_of_month_net_due
integer | null
Required range: 0 <= x <= 31
number_of_days_next_month
integer | null
Required range: 0 <= x <= 31
discount_percent
Required range: 0.01 <= x <= 100
discount_days
integer | null
Required range: x >= 0
sales_discount_account_id
integer | null
purchase_discount_account_id
integer | null
installment_definitions
TermInstallmentDefinitionSchemaIn · object[]
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived
is_default
boolean
default:false

Response

OK

id
integer
required
name
string
required
is_active
boolean
required
term_type
enum<string>
required

Standard means that the due date is calculated based on the days until net due.

Available options:
standard,
date_driven,
early_discount,
installment
record_status
enum<string>
required
Available options:
draft,
posted,
archived
days_until_net_due
integer | null
required
day_of_month_net_due
integer | null
required
number_of_days_next_month
integer | null
required
discount_percent
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount_days
integer | null
sales_discount_account_id
integer | null
purchase_discount_account_id
integer | null
installment_definitions
TermInstallmentDefinitionSchemaOut · object[]
is_default
boolean
default:false